# Отчёт по лабораторной работе №1

Выполнила: студентка гр. ИСЭбд-41 Халитова А.М.

## Разворачивание сервиса MediaWiki

Содержимое файла `docker-compose.yml` в папке MediaWiki:

```yaml
version: "3.2"

services: #описание контейнеров
#Контейнер Mysql используется как сервер для запуска
  mysql:
    image: mysql:5.7.23 #образ контейнера
    container_name: mysql
    hostname: mysql
    volumes:
      - /var/lib/mysql:/var/lib/mysql
    env_file:
      - ./mysql.env
    restart: always

#Контейнер Mediawiki используется для запуска самого сервиса
  mediawiki:
    image: diouxx/mediawiki
    container_name : wiki
    hostname: wiki
    ports: #по какому порту мы получаем доступ к сервису по адресу http://localhost:8081/
      - "8081:80"
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
      - /var/www/html/wiki/:/var/www/html/wiki
      - ./data/LocalSettings.php:/var/www/html/LocalSettings.php

    restart: always
```